export function getQueryString(name) {
    let reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i")
    let r = window.location.search.substr(1).match(reg)
    if (r != null) {
        return window.decodeURIComponent(r[2])
    }
    return null
 }

 export function debounce(fn,delay){
    let timer; // 定时器
    return function(...args){ // 形成闭包
      // args 为函数调用时传的参数。
      let context = this;
      timer&&clearTimeout(timer); // 当函数再次执行时，清除定时器，重新开始计时
      // 利用定时器，让指定函数延迟执行。
      timer = setTimeout(function(){
        // 执行传入的指定函数，利用apply更改this绑定和传参
        fn.apply(context,args);
      },delay)
    }
  }
  
export function setStorage(key, value) {
    return localStorage.setItem(key, JSON.stringify(value));
}

export function getStorage(key) {
    const item = localStorage.getItem(key);
    try {
        return item ? JSON.parse(item) : '';
    } catch (e) {
        return item;
    }
}